Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Resource

Created: 2012-02-22 Assigned To: Karsten Dambekalns
Updated: 2012-05-11 Due date:

PHP Version:

Has patch: No

Complexity:

Subject: Make Resource use with file operations easier

Description

To use a Resource with file operations, one can use the resource://... scheme and the __toString() method of any ResourcePointer.

To make this a little easier, casting of Resource to string should return the SHA1 (as is the case with the ResourcePointer already). A
getUri() method to return a ready to use resource://... string would also be useful.

Associated revisions

Revision 8cdaae41 - 2012-05-08 18:16 - Karsten Dambekalns
[FEATURE] Add __toString() and make Resource use more convenient
To use a Resource with file operations, one can use the

resource:// scheme and the __toString() method of any

ResourcePointer.

To make this a little easier, this change adds two new
methods to the Resource class:

__toString() returns the SHA1 of the ResourcePointer the
Resource is holding (as is documented for ages).

getUri() returns a ready-to-use resource://<shal> URI of

the ResourcePointer the Resource is holding.

Change-Id: le3cb01214c924c8e79ae5a997dc15e3679940e86

Fixes: #29694

Resolves: #34177

Releases: 1.0, 1.1

Revision 8c7ec51b - 2012-05-09 15:48 - Karsten Dambekalns
[FEATURE] Add __toString() and make Resource use more convenient
To use a Resource with file operations, one can use the

resource:// scheme and the __toString() method of any

ResourcePointer.

To make this a little easier, this change adds two new
methods to the Resource class:

2015-08-03 1/3




__toString() returns the SHA1 of the ResourcePointer the
Resource is holding (as is documented for ages).

getUri() returns a ready-to-use resource://<shal> URI of
the ResourcePointer the Resource is holding.

Change-Id: lec342eae0662b89eaf1d281fcab26ebb94ef7c61
Fixes: #29694

Resolves: #34177

Releases: 1.0, 1.1

History

#1 - 2012-02-22 12:56 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/9145

#2 - 2012-03-07 17:08 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9145

#3 - 2012-05-08 18:16 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9145

#4 - 2012-05-08 18:18 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/9145

#5 - 2012-05-09 02:39 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:8cdaae41c0af199402358e2171766af14f9379e9.

#6 - 2012-05-09 15:49 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/11106
#7 - 2012-05-11 14:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved

Applied in changeset commit:8c7ec51b5a0e90a859¢c102fde6f5f0859babed1a.
